Bug 16890 - Ukrainian keyboard layouts are missed from Anaconda keyboards list
Ukrainian keyboard layouts are missed from Anaconda keyboards list
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Michael Fulbright
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-24 16:25 EDT by Leonid Kanter
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-06 18:20:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XF86Config file for Ukrainian keyboards (15.29 KB, text/plain)
2000-12-18 13:24 EST, Brent Fox
no flags Details
/etc/sysconfig/keyboard file for Ukrainian keyboards (12 bytes, text/plain)
2000-12-18 13:25 EST, Brent Fox
no flags Details

  None (edit)
Description Leonid Kanter 2000-08-24 16:25:49 EDT
XFree86-4.0, unlike 3.3.6, has Ukrainian xkb map:
[leon@t440 symbols]$ rpm -qf /usr/X11R6/lib/X11/xkb/symbols/ua 
XFree86-4.0.1-0.43

and also for console:
[leon@t440 qwerty]$ rpm -qf /usr/lib/kbd/keymaps/i386/qwerty/ua.kmap.gz 
console-tools-19990829-23

Please add ukrainian keyboards to anaconda keyboard layouts list!
Comment 1 Brent Fox 2000-12-15 02:40:00 EST
Can you tell me what the correct keymap for Ukrainian keyboards is?  Better yet,
can you send me a working XF86Config file and a working /etc/sysconfig/keyboard
file for Ukrainian keyboards?  It would be a huge help.
Comment 2 Brent Fox 2000-12-18 13:21:59 EST
An email from leon@geon.donetsk.ua:

Look at my files. Please pay special attention to XkbOption
"grp:ctrl_shift_toggle"
- this option is really necessary for both Russian and Ukrainian (ru and ua)
keyboards.

As for the map files - they are included in redhat packages.

[t1@p504 t1]$ rpm -qf /usr/lib/kbd/keymaps/i386/qwerty/ua.kmap.gz
console-tools-19990829-25

[t1@p504 t1]$ rpm -qf /usr/X11R6/lib/X11/xkb/symbols/ua
XFree86-4.0.1-1
Comment 3 Brent Fox 2000-12-18 13:24:41 EST
Created attachment 6538 [details]
XF86Config file for Ukrainian keyboards
Comment 4 Brent Fox 2000-12-18 13:25:28 EST
Created attachment 6539 [details]
/etc/sysconfig/keyboard file for Ukrainian keyboards
Comment 5 Brent Fox 2000-12-18 14:21:31 EST
Fixed in cvs.  This resolves the issue of Ukrainian keyboard support, but it
does not address the issue of the XkbOption"grp:ctrl_shift_toggle".  I don't
have time to fix this for the next release, so for now, the user will have to
set the option manually, but at least the keyboards will work in the installer
now and a correct XF86Config file will be written.  This will require that the
xfree86.lst file be put through the build system.  Brock, please verify the fix
after the xfree86.lst file has been updated.
Comment 6 Brock Organ 2001-01-03 10:07:01 EST
Mike,

It sounds like this bug is awaiting some updates that you are working on ... can
you let me know when you have an updated xfree86.lst file for testing ...?
Comment 7 Mike A. Harris 2001-02-06 18:20:06 EST
4.0.2 in fisher / rawhide has these xfree86.lst changes.
Comment 8 Leonid Kanter 2001-02-07 18:57:13 EST
I verified that after fisher install with Ukrainian language selected both
console and X keyboards were configured properly.

Note You need to log in before you can comment on or make changes to this bug.